/* You can add global styles to this file, and also import other style files */
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap");
@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.3/font/bootstrap-icons.css");
:root {
  --idl-header-bg: #f3f3f3;
  --idl-body-bg: #fafafa;
  --idl-black-color: #000000;
  --idl-white-color: #ffffff;
  --idl-active-bar: #025dd7;
  --idl-divider: rgba(151, 151, 151, 0.2);
  --idl-btn-bg: #0078ff;
  --idl-border-color: #8e8e8e;
  --idl-border-radius: 8px;
  --idl-input-placeholder: #8e8e8e;
  --idl-yellow-color: #f7cc0e;
  --idl-danger-color: #ff7062;
  --idl-sky-color: #01dcf0;
  --idl-pink-color: #e96faa;
  --idl-info-color: #5fe8ca;
  --idl-gray-color: #89899f;
  --idl-light-purple: #bfc4ef;
  --idl-bg-primary: #505fe7;
  --idl-housemate-bg-color: #17191c;
  --idl-housemate-green-color: #7db237;
  --idl-gm-10-bg-color: #150527;
}
.idl-yello-bg {
  background-color: var(--idl-yellow-color);
}
.idl-danger-bg {
  background-color: var(--idl-danger-color);
}
.idl-sky-bg {
  background-color: var(--idl-sky-color);
}
.idl-pink-bg {
  background-color: var(--idl-pink-color);
}
.idl-info-bg {
  background-color: var(--idl-info-color);
}

body {
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  background-color: var(--idl-body-bg);
  color: var(--idl-black-color);
}
h2 {
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 32px;
  line-height: 48px;
}
h3 {
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 26px;
  line-height: 39px;
}
h4 {
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 22px;
  line-height: 33px;
}
p {
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
}
a {
  text-decoration: none;
  color: var(--idl-black-color);
}
a:hover {
  color: var(--idl-black-color);
}
/* ============================= */
.idl-bg-header {
  background-color: var(--idl-header-bg);
}
.idl-bg-footer {
  background-color: var(--idl-header-bg);
}
/* ======= Button style ======= */
.btn {
  border-radius: 50px;
  padding: 8px 40px;
  border: 0;
  text-transform: capitalize;
  color: var(--idl-black-color);
}
.idl-btn {
  background-color: var(--idl-btn-bg);
  color: var(--idl-white-color);
}
.idl-btn:hover,
.idl-btn:first-child:active,
.idl-btn:focus,
.idl-btn:active,
:not(.btn-check) + .btn:active {
  background-color: var(--idl-active-bar);
  color: var(--idl-white-color);
}
.idl-btn-header {
  padding: 8px 16px;
  display: flex;
  align-items: center;
  justify-content: center;
}
.idl-btn-header i {
  width: 24px;
  height: 24px;
  font-size: 24px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-right: 8px;
}
/* ======= Navigation bar ======= */
.idl-navbar {
  padding: 12px 0;
}
/* ======= Page headign ======= */
.idl-heading-wrap {
  padding: 56px 0;
}
.idl-heading-title {
  position: relative;
}
.idl-title-with-after::after {
  content: "";
  position: absolute;
  bottom: -16px;
  left: 50%;
  transform: translateX(-50%);
  width: 120px;
  height: 24px;
  border: solid 3px #000;
  border-color: #000 transparent transparent transparent;
  border-radius: 50%/20px 20px 0 0;
}
/* ======= Tabs style ======= */
.idl-tabs-header {
  border-bottom: 1px solid var(--idl-divider);
}
.idl-nav-tabs {
  justify-content: space-between;
  border: 0;
}
.idl-nav-tabs .nav-link {
  color: var(--idl-black-color);
  border-radius: 0;
  border: 0;
  background-color: transparent;
  position: relative;
}
.idl-nav-tabs .nav-link::before {
  content: "";
  position: absolute;
  width: 0%;
  left: 0;
  right: 0;
  bottom: 0;
  height: 4px;
  background-color: var(--idl-active-bar);
  opacity: 0;
  transition: width 0.2s ease-in-out;
}
.idl-nav-tabs .nav-link:hover {
  border-radius: 0;
  border: 0;
}
.idl-nav-tabs .nav-item.show .nav-link,
.idl-nav-tabs .nav-link.active {
  color: var(--idl-black-color);
  background-color: transparent;
}

.idl-nav-tabs .nav-link.active::before {
  opacity: 1;
  width: 100%;
  transition: width 0.2s ease-in-out;
}
.idl-tabs-content-wrap {
  padding: 40px 0;
}
/* ======= Project list style ======= */
.idl-project-list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 40px;
}
.idl-project-meta {
  text-align: center;
  padding: 20px;
}
.idl-project-meta .idl-project-title {
  margin-bottom: 4px;
}
.idl-project-meta p {
  margin-bottom: 0;
}
.idl-project-list-items .idl-project-img-url img {
  transition: all 0.5s ease;
}
.idl-project-list-items .idl-project-img-url .ratio {
  overflow: hidden;
}
.idl-project-list-items .idl-project-img-url:hover img {
  transform: scale(1.1);
  transition: transform 0.5s ease;
}
.idl-more-btn-wrap {
  padding: 40px 0 0;
}
.idl-more-btn-wrap-details {
  padding: 40px 0;
}
.ratio > * {
  object-fit: cover;
}
.idl-no-record {
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  font-size: 20px;
  background: var(--idl-header-bg);
  height: calc(100vh - 600px);
  min-height: 100px;
}
/* ============= Project details style =============*/

.idl-pr-detail-list {
  list-style-type: none;
  padding: 0;
  margin-bottom: 0;
}
.idl-pr-detail-list .idl-pr-detail-list-items {
  padding: 30px 0;
}
.idl-pr-detail-list .idl-pr-detail-list-items .idl-pr-detail-img {
  position: relative;
}
.idl-pr-detail-list .idl-pr-detail-list-items .idl-pr-detail-small-img {
  position: absolute;
  top: 50%;
  right: 0;
  transform: translate(90px, -50%);
  max-width: 175px;
  width: 100%;
}
.idl-pr-detail-img-url img {
  border-radius: 8px;
}
.idl-pr-detail-list
  .idl-pr-detail-list-items:nth-child(even)
  .idl-pr-detail-small-img {
  left: 0;
  transform: translate(-90px, -50%);
}
.idl-pr-detail-list .idl-pr-detail-list-items .idl-pr-detail-content {
  padding: 20px 20px 20px 120px;
}
.idl-pr-detail-list
  .idl-pr-detail-list-items:nth-child(even)
  .idl-pr-detail-content {
  padding: 20px 120px 20px 20px;
}
.idl-pr-detail-list-items:nth-child(even) .row {
  flex-direction: row-reverse;
}
.idl-pr-detail-list-items .idl-pr-detail-title {
  margin-bottom: 8px;
}
.idl-pr-detail-list-items .idl-pr-detail-content p {
  margin-bottom: 16px;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
}
.idl-pr-detail-link {
  display: flex;
  align-items: center;
  transition: all 0.3s ease-in-out;
  text-transform: capitalize;
}
.idl-pr-detail-link:hover i {
  transform: rotate(45deg);
  transition: all 0.3s ease-in-out;
}
.idl-pr-detail-link i {
  display: inline-block;
  width: 44px;
  height: 44px;
  min-width: 44px;
  background: var(--idl-btn-bg);
  border-radius: 50%;
  margin-right: 12px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 24px;
  color: var(--idl-white-color);
  transition: all 0.3s ease-in-out;
}
/* ============= Footer style =============*/
.idl-footer {
  padding: 40px 0;
}
.idl-footer-flex {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.idl-footer-flex p {
  margin: 0;
}
.idl-footer-flex .idl-ft-media-list {
  display: flex;
  margin-bottom: 0;
  list-style-type: none;
  padding: 0;
}
.idl-footer-flex .idl-ft-media-list li:not(:last-child) {
  margin-right: 24px;
}
.idl-footer-flex .idl-ft-media-list li a {
  font-size: 24px;
  width: 24px;
  height: 24px;
}
/* ============= Modal style ============= */
.mat-dialog-title {
  font: 600 18px/27px "Poppins", sans-serif;
  margin: 0 0 24px;
  text-align: center;
}
.mat-dialog-content {
  margin-bottom: 20px !important;
}
.mat-dialog-actions {
  margin-bottom: 0 !important;
  padding: 0 !important;
}
.mat-dialog-container {
  background: var(--idl-white-color);
  box-shadow: 0px 4px 34px rgba(0, 0, 0, 0.12);
  border-radius: 8px !important;
}
/* ============= input style ============= */
.form-control {
  border-color: var(--idl-border-color);
  color: var(--idl-black-color);
}
.form-control:focus {
  box-shadow: none;
  outline: none;
  border-color: var(--idl-border-color);
}
.form-control::placeholder {
  color: var(--idl-input-placeholder);
}

/*========= Banner Style ========== */
.idl-banner-section .header-text {
  padding: 75px 0px;
  color: var(--idl-white-color);
  max-width: 460px;
}
.idl-banner-section .header-text .heading {
  margin-top: 80px;
}
.idl-banner-section p {
  color: var(--idl-white-color);
  margin-bottom: 45px;
}
.idl-banner-section .heading h3 {
  font-size: 24px;
  font-weight: 5000;
  letter-spacing: 2px;
  margin-bottom: 0;
}
.idl-banner-section h2 {
  color: var(--idl-btn-bg);
  font-weight: 900;
  font-size: 54px;
  line-height: 54px;
  margin-bottom: 40px;
  text-shadow: 2px 2px var(--idl-black-color);
}
.idl-banner-section .detail-txt {
  padding-right: 60px;
}
.idl-section {
  padding: 50px 0px;
}
.idl-about-wrap {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.idl-about-content {
  max-width: 465px;
}
.idl-about-content p {
  max-width: 450px;
}
.idl-about-content h2 {
  margin-bottom: 20px;
}
.idl-section label {
  color: #8989a4;
  display: inline-block;
  font-weight: 600;
}
.idl-our-project h2 {
  margin-bottom: 80px;
}
.idl-our-project .idl-project-item {
  display: flex;
  margin-bottom: 80px;
}
.idl-our-project .pro-num h2 {
  font-weight: 900;
  font-size: 90px;
  color: #ebebeb;
  margin-right: 35px;
  margin-bottom: 0;
}
.idl-our-project .pro-num {
  margin-top: 15px;
}

.idl-project-detail {
  max-width: 360px;
}
.idl-sub-heading {
  color: #030229;
}
.idl-primary-bg {
  background: var(--idl-bg-primary);
  color: #fff;
  padding: 80px 0px;
}
.idl-primary-bg .idl-result-wrap {
  display: flex;
  justify-content: space-around;
  align-items: center;
}
.idl-result-heading {
  display: flex;
  height: 100%;
  justify-content: start;
  align-items: center;
}
.idl-result-item {
  width: 220px;
  text-align: center;
}
.idl-result-item p {
  color: var(--idl-white-color);
}
.idl-process-item-wrap {
  display: flex;
  flex-wrap: wrap;

  justify-content: center;
  position: relative;
  margin-top: 100px;
}
.idl-item-wrap {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  position: relative;
  margin-top: 100px;
}
.idl-item-wrap {
  border: 1px solid rgba(0, 0, 0, 0.08);
  border-radius: 16px;
  flex: 0 1 400px;
  margin: 20px 30px 90px 0px;
  margin-left: 0;
  padding: 35px 18px;
  position: relative;
  text-align: center;
}
.idl-icon-box {
  min-width: 100px;
  max-width: 100px;

  min-height: 100px;
  max-height: 100px;
  border-radius: 100px;
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  top: -60px;
  left: 50%;
  transform: translateX(-50%);
}
.idl-item-wrap h3 {
  font-size: 20px;
  margin-top: 10px;
}

/* Post Card Design */
.idl-card {
  cursor: pointer;
}
.idl-section-heading {
  margin-bottom: 30px;
}
.idl-card .idl-card-detail {
  margin-top: 20px;
}
.idl-card-detail h5 {
  font-weight: 600;
}
.idl-card-detail p {
  max-width: 430px;
}

/* Slider Style */

.idl-section.idl-slider-bg:before {
  background: rgba(80, 95, 231, 0.2);
  content: "";
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  height: 160px;
  width: 100%;
}
.idl-slider-wrap {
  margin-left: 255px;
}

.owl-nav {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  left: -100px;
  margin-top: 0 !important;
}
.owl-nav .owl-next {
  display: none !important;
}

.owl-theme .owl-nav [class*="owl-"] {
  color: var(--idl-bg-primary) !important;
  font-size: 30px !important;

  background: transparent !important;
  border-radius: 50% !important;
  border: 1px solid #bfc4ef !important;
  width: 36px !important;
  height: 36px !important;
  display: flex;
  align-items: center;
  justify-content: center;
}

/* App section style */
.idl-app-wrap {
  margin-left: 255px;
}
.idl-app-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  height: 100%;
  max-width: 490px;
}
.idl-app-img {
  background: var(--idl-bg-primary);
  width: 100%;
  height: 526px;
  position: relative;
  padding: 60px 0px;
}

.idl-app-img .mobile-img-1 {
  position: absolute;
  left: -110px;
  width: 200px;
}
.idl-app-img .mobile-img-2 {
  bottom: 0;
  position: absolute;
  right: 20%;
}
.idl-case-study-bg {
  padding: 50px 0;
  background: #f8f8ff;
}
.idl-live-traders-bg {
  background-image: url("../images/project/live-traders/live-traders-banner.png");
  width: 100%;
  height: 600px;
  background-position: right;
  background-repeat: no-repeat;
  background-size: cover;
}
/* ============= Housemate style ============= */
.idl-bg-housemate {
  background-color: var(--idl-housemate-bg-color);
}
.idl-heading-housemate h2 {
  color: var(--idl-white-color);
}
.idl-heading-housemate h2 .idl-housemate-green {
  color: var(--idl-housemate-green-color);
}
.idl-header-links {
  max-width: 300px;
}
.idl-header-links .btn-wrap {
  display: flex;
  justify-content: space-between;
}
.idl-header-links .btn-wrap img {
  width: 140px;
}
.idl-links-header-wrap {
  padding: 20px 0 0 0;
}
.idl-links-header-wrap p {
  margin-bottom: 12px;
  color: #afafaf;
  text-transform: uppercase;
}
.service-box h6 {
  text-transform: uppercase;
}
.service-box p {
  margin-bottom: 0;
}
.idl-bg-image-house {
  position: relative;
}
.idl-bg-image-house .idl-app-wrap {
  position: relative;
  z-index: 1;
  margin: 0;
}
.idl-bg-image-house::after {
  content: "";
  width: 100%;
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  height: 100%;
  background-image: url("../images/project/housemate/building.png");
  background-repeat: no-repeat;
  background-position: bottom;
  background-size: contain;
  z-index: 0;
}
.idl-app-content-text {
  max-width: 500px;
}
/* .idl-housemate-arrow-inner {
  width: 150px;
  height: 1px;
  background-color: #000;
  position: relative;
  display: inline-block;
}
.idl-housemate-arrow-inner::after {
  content: "";
  position: absolute;
  width: 18px;
  height: 18px;
  top: 50%;
  right: 0;
  transform: translate(-3px, -50%) rotate(45deg);
  border-top: 1px solid #000;
  border-right: 1px solid #000;
}
.idl-housemate-arrow-inner::before {
  content: "";
  position: absolute;
  width: 18px;
  height: 18px;
  background: #000;
  border-radius: 50%;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
} */
.idl-process-list-items {
  text-align: center;
  position: relative;
}
.idl-process-list-items .idl-process-icon {
  width: 150px;
  height: 150px;
  border-radius: 50%;
  border-width: 1px;
  border-style: solid;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: auto;
}
.idl-process-list-items h5 {
  text-transform: capitalize;
  padding: 12px 0;
}
.idl-process-arrow {
  position: absolute;
  right: -50px;
  top: 40%;
  transform: translateY(-50%);
}
.col:nth-child(1) .idl-process-list-items .idl-process-icon {
  border-color: #e96faa;
}
.col:nth-child(2) .idl-process-list-items .idl-process-icon {
  border-color: #ff7062;
}
.col:nth-child(3) .idl-process-list-items .idl-process-icon {
  border-color: #01dcf0;
}
.col:nth-child(4) .idl-process-list-items .idl-process-icon {
  border-color: #7c20d9;
}
.col:nth-child(5) .idl-process-list-items .idl-process-icon {
  border-color: #8ec543;
}
.idl-ui-design-wrapper .idl-img-container {
  margin-bottom: 30px;
}
/* ============= GM10 page Style =============*/
.idl-bg-gm10 {
  background-image: url("../images/project/gm10/header-bg.png");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center center;
}
.idl-bg-gm10 .header-text {
  max-width: 100%;
}
.idl-heading-gm10 h2 {
  font-family: "Bangers", cursive;
  color: var(--idl-white-color);
  margin-bottom: 20px;
  text-shadow: 0px 5px 5px rgba(0, 0, 0, 0.3);
}
.idl-heading-gm10 p {
  letter-spacing: 2px;
  text-shadow: 0px 5px 5px rgba(0, 0, 0, 0.3);
}
.idl-design-process-option {
  background: var(--idl-gm-10-bg-color);
}
.idl-design-process-option .idl-process-list-items {
  color: var(--idl-white-color);
  display: flex;
  flex-direction: column;
}
/* .idl-design-process-option .idl-process-list-items .idl-process-icon::before {
  content: "";
  width: 100px;
  height: 100px;
  border-width: 2px 2px 0 0;
  border-style: dashed;
  border-color: var(--idl-white-color);
  border-top-right-radius: 100%;
  position: absolute;
  right: -110px;
  bottom: -50px;
  transform: rotate(-18deg);
}
.idl-design-process-option .col:nth-child(even) .idl-process-list-items .idl-process-icon::before {
  transform: rotate(280deg);
  top: -50px;
  bottom: auto;
  right: -110px;

}
.idl-design-process-option .idl-process-list-items .idl-process-icon::after {
  content: "";
  position: absolute;
  bottom: -35px;
  right: -128px;
  border-width: 20px 12px 0;
  border-style: solid;
  border-color: var(--idl-white-color) transparent transparent;
  transform: rotate(90deg);
}
.idl-design-process-option .col:nth-child(even) .idl-process-list-items .idl-process-icon::after {
  top: 50px;
  right: 50px;
  transform: rotate(90deg);
} */
.idl-design-process-option .col:nth-child(even) .idl-process-list-items {
  flex-direction: column-reverse;
}
.idl-design-process-option .idl-process-list-items .idl-process-icon {
  border: 0;
  background: #2d225b;
  position: relative;
}
.idl-design-process-option .idl-process-list-items p {
  padding: 20px 0;
  margin: 0;
}
.idl-design-process-option .idl-process-list-items .idl-process-icon h5 {
  margin-bottom: 0;
}
/* ============= Responsive Media Query =============*/
@media (max-width: 1500px) {
  .idl-app-wrap {
    margin-left: 50px;
  }
}
@media (max-width: 1400px) {
  .idl-app-content {
    max-width: 100%;
    margin-bottom: 50px;
  }
  .idl-app-img .mobile-img-1 {
    left: 80px;
  }
}
@media (max-width: 1199px) {
  .idl-about-content {
    margin-right: 50px;
  }
  .idl-nav-tabs {
    flex-wrap: nowrap;
    overflow-y: hidden;
    overflow-x: auto;
  }
  .idl-nav-tabs .nav-link {
    white-space: nowrap;
  }
}
@media (max-width: 991px) {
  .idl-slider-wrap {
    margin-left: 110px;
  }
  .idl-result-heading {
    margin-bottom: 40px;
  }
  .idl-project-list {
    grid-template-columns: repeat(2, 1fr);
  }
  .idl-pr-detail-list .idl-pr-detail-list-items .idl-pr-detail-content {
    padding: 12px;
  }
  .idl-about-wrap {
    flex-wrap: wrap;
  }
}
@media (max-width: 767px) {
  .idl-our-project h2 {
    margin-bottom: 40px;
  }
  .idl-case-study-bg {
    padding: 30px 0;
  }
  .idl-section {
    padding: 40px 0;
  }
  .idl-section.idl-slider-bg:before {
    height: 140px;
  }
  .idl-item-wrap {
    margin: 20px 0px 50px 0px;
  }
  .idl-our-project .idl-project-item {
    display: flex;
    margin-bottom: 10px;
  }
  .idl-card-detail p {
    max-width: 100%;
  }
  .idl-card {
    margin-bottom: 35px;
  }
  .idl-pr-detail-list-items .row .col {
    flex: 1 0 auto;
  }
  .idl-pr-detail-list .idl-pr-detail-list-items .idl-pr-detail-content {
    padding: 20px 0 0;
  }
}
@media (max-width: 575px) {
  .idl-project-detail {
    max-width: 100%;
  }
  .idl-app-wrap {
    margin-left: 0;
  }
  .idl-about-content {
    margin-right: 0px;
  }
  .idl-app-img .mobile-img-1 {
    left: 20px;
  }
  .idl-app-img .mobile-img-2 {
    right: 5%;
  }

  .idl-result-heading {
    display: block;
    width: 100%;
    text-align: center;
  }
  .idl-primary-bg .idl-result-wrap {
    display: block;
    text-align: center;
  }
  .idl-result-item {
    width: 100%;
    margin-bottom: 30px;
  }
  .idl-banner-section .header-text {
    max-width: 100%;
    text-align: center;
  }
  .idl-banner-section .detail-txt {
    padding-right: 0px;
  }
  .idl-banner-section h2 {
    font-size: 40px;
    line-height: 40px;
    text-shadow: 1px 1px #080606;
  }

  .idl-project-list {
    grid-template-columns: repeat(1, 1fr);
    gap: 10px;
  }
  .idl-footer-flex {
    flex-direction: column;
    align-items: center;
  }
  .idl-footer-flex p {
    margin-bottom: 24px;
  }
}

.idl-coming-soon-wrap {
  min-height: 500px;
  display: flex;
  align-items: center;
  justify-content: center;
  background-image: url("../images/come-soon.jpg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}
.idl-coming-soon-wrap h1 {
  font-size: 65px;
}


.no-record{
  padding: 50px 25px;
    display: flex;
    border-radius: 11px;
    border: 1px solid#ededed;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.no-record h1{
font-size:18px;
margin-top:25px;
}
.no-record img{
max-width: 460px;
    margin: 15px auto;
}

.text-right{
text-align: right;
}
.add-btn-table{
padding: 8px 18px;}
.add-session-form{
width:100%;
}
.add-session-form .form-group input{
width:100% !important;
}
.down-after::after{
display:none;}

.height-container{
min-height:calc(100vh - 279px)
}